List email versions
Returns an email's saved versions, newest first. A version is a named checkpoint of the email's content and envelope.
- Design Studio creates a version automatically every time you publish the email.
- You can save a version manually with Save an email version.
Pass start_date to filter for versions created after a certain time. Or pass start_date and end_date together to filter for versions created in a certain time range.
You can retrieve your email's UUID through List emails. If your email has language variants, List emails only returns the UUID for the default language. Use this default ID to retrieve variant IDs through List email translations.
- Type: string Format: uuididrequired
The UUID of the email. If your email has translations, this is the ID of a specific language variant.
- Type: integer Format: Unix timestampstart
_date Return versions created at or after this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampend
_date Return versions created at or before this time. Must be a unix timestamp. Requires
start_date.
- application/json
- application/json
- application/json
- application/json
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/versions
{
"versions": [
{
"created": 1773856017,
"created_on_publish": false,
"feedback": false,
"id": "8f14e45f-ceea-4c67-9814-b8f0e0e1a6f0",
"name": "Before holiday redesign",
"node_id": "1a0cbb4e-09d3-402e-949e-f6732f021650",
"node_type": "EMAIL"
}
]
}Successful response